Name:           python-meld3
Version:        2.0.1
Release:        %mkrel 6
Summary:        HTML/XML templating system for Python
License:        Zope Public License
Group:          Development/Python
URL:            http://www.plope.com/software/meld3/
Source0:        https://pypi.io/packages/source/m/meld3/meld3-%{version}.tar.gz
BuildArch:      noarch

%description
meld3 is an HTML/XML templating system for Python 2.3+ which keeps template
markup and dynamic rendering logic separate from one another. See
https://www.entrian.com/PyMeld for a treatise on the benefits of this pattern.

#------------------------------------------------

%package -n     python3-meld3
Summary:        HTML/XML templating system for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-meld3}

Obsoletes:      python-meld3 < 0.6.7-3
Provides:       python-meld3 = %{version}-%{release}

%description -n python3-meld3
meld3 is an HTML/XML templating system for Python 3.2+ which keeps template
markup and dynamic rendering logic separate from one another. See
https://www.entrian.com/PyMeld for a treatise on the benefits of this pattern.

#------------------------------------------------

%prep
%autosetup -p1 -n meld3-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
export USE_MELD3_EXTENSION_MODULES=True
%pyproject_wheel

%install
export USE_MELD3_EXTENSION_MODULES=True
%pyproject_install
%pyproject_save_files meld3

%check
%pytest

%files -n python3-meld3 -f %{pyproject_files}
%doc README.txt COPYRIGHT.txt LICENSE.txt CHANGES.txt


%changelog
* Fri Dec 27 2024 papoteur <papoteur> 2.0.1-6.mga10
+ Revision: 2130418
- add and use pytest

* Tue Dec 12 2023 papoteur <papoteur> 2.0.1-5.mga10
+ Revision: 2017637
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-4.mga9
+ Revision: 1832188
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.0.1-3.mga9
+ Revision: 1783792
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 2.0.1-2.mga9
+ Revision: 1717267
- rebuild for python 3.9
- make it as a noarch package

* Wed Sep 16 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1627184
- new version 2.0.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-5.mga8
+ Revision: 1532083
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.0.2-4.mga8
+ Revision: 1441449
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 1.0.2-3.mga7
+ Revision: 1352097
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1300526
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1210854
- Update to version 1.0.2
- Added a py3 package
- Changed how the tests are run
- Removed old patch

* Thu Aug 10 2017 daviddavid <daviddavid> 0.6.7-3.mga7
+ Revision: 1139488
- rename python-meld3 to python2-meld3
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 0.6.7-2.mga6
+ Revision: 950670
- Mageia 6 Mass Rebuild

* Fri Nov 14 2014 juancho <juancho> 0.6.7-1.mga5
+ Revision: 797281
- imported package python-meld3


* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 10 2012 Nils Philippsen <nils@redhat.com> - 0.6.7-5
- rebuild for gcc 4.7

* Tue Apr 05 2011 Nils Philippsen - 0.6.7-4
- patch in missing cmeld3.c file instead of indiscriminately (over-)writing it
- don't use macros for system executables (except python)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 19 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.7-1
- Update to solve a crasher bug on python-2.7:
  https://bugzilla.redhat.com/show_bug.cgi?id=652890
- Fix missing cmeld3.c file in the upstream tarball (upstream was notified).

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Apr 13 2010 Nils Philippsen <nils@redhat.com> - 0.6.5-1
- version 0.6.5
- drop obsolete etree patch

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.4-2
- Rebuild for Python 2.6

* Tue Feb 28 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.6.4-1
- Update to 0.6.4.
- Fix python-2.5 elementtree problem.

* Tue Feb 12 2008 Mike McGrath <mmcgrath@redhat.com> 0.6.3-3
- Rebuild for gcc43

* Mon Jan 7 2008 Toshio Kuratomi <a.badger@gmail.com> 0.6.3-2
- Fix include egginfo when created.

* Wed Oct 17 2007 Toshio Kuratomi <a.badger@gmail.com> 0.6.3-1
- Update to 0.6.3 (Fix memory leaks).
- Update license tag.

* Wed Aug 22 2007 Mike McGrath <mmcgrath@redhat.com> 0.6-3
- Release bump for rebuild

* Thu Apr 26 2007 Mike McGrath <mmcgrath@redhat.com> 0.6-2.1
- Fix requires on python-elementtree for python-2.5.  (elementtree is included
  in python-2.5)

* Sun Apr 22 2007 Mike McGrath <mmcgrath@redhat.com> 0.6-2
- Patch suggested in #153247

* Fri Apr 20 2007 Mike McGrath <mmcgrath@redhat.com> 0.6-1
- Initial packaging

